// @ts-nocheck

function resetTabs(dlg) {
  $(dlg).find('.tab-title, .tab-content').removeClass('selected-tab');
}

function bindTabAndContent(dlg, tabTitleId, divId, checkboxId, checkboxChecked, onTabChange) {
  const tabTitle = dlg.find('#' + tabTitleId);
  const div = dlg.find('#' + divId);
  tabTitle.click(e => {
    resetTabs(dlg);
    tabTitle.addClass('selected-tab');
    div.addClass('selected-tab');
    dlg.find('#' + checkboxId).prop('checked', checkboxChecked);
    if (onTabChange) {
      onTabChange(tabTitleId);
    }
  });
}

$(function () {

  $(window).on('message', $e => {
    const event = $e.originalEvent;
    switch (event.data.type) {
      case 'scrollTo':
        {
          console.log('Trying scrollIntoView for ' + event.data.divId);
          $('#' + event.data.divId)[0].scrollIntoView();
        }
        break;
      case 'switchTheme':
        {
          const newThemeKind = event.data.newThemeKind;
          const oldThemeKind = event.data.oldThemeKind;
          $('.' + oldThemeKind).removeClass(oldThemeKind).addClass(newThemeKind);
        }
        break;
      case 'ui.updateLicenseDaysLeft':
        {
          if (event.data.data.daysLeft) {
            $("#configpanels-licensedaysleft-container").removeClass("displaynone");
            $("#configpanels-licensedaysleft-text").html(event.data.data.daysLeft);
            $("#configpanels-licensevalidindicator-value").width(`${event.data.data.pctUsed || 42}%`);
          } else {
            $("#configpanels-licensedaysleft-container").addClass("displaynone");
          }
        }
        break;
    }
  });

  vscode.postMessage({ handlerId: 'configpanel', type: 'configpanelLoaded' });
});